Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.decoy.update({
id: "<id>",
});
console.log(result);
}
run();curl --request PATCH \
--url https://{tenantDomain}.conductor.one/api/v1/decoys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decoy": {
"annotations": {},
"description": "<string>",
"disabled": true,
"displayName": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/decoys/{id}"
payload = {
"decoy": {
"annotations": {},
"description": "<string>",
"disabled": True,
"displayName": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
decoy: {
annotations: {},
description: '<string>',
disabled: true,
displayName: '<string>'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/decoys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"decoy": {
"annotations": {},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"materialFingerprintSha256": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Decoy
Update
Update modifies mutable metadata on a decoy. The decoy variant is fixed at Create — rotate the secret with Rotate instead.
PATCH
/
api
/
v1
/
decoys
/
{id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.decoy.update({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
application/json
Response
200 - application/json
Successful response
The DecoyServiceUpdateResponse message.
Decoy is the read projection of a planted honey-credential. All fields except annotations are server-managed.
Show child attributes
Show child attributes
Was this page helpful?
⌘I